From 4d04cf59d795b6650696aba26713c68db3b2eb64 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 03 2021 08:05:58 +0000
Subject: [PATCH 2029/2232] Merge pull request #654 from dtolnay/symbol-visibility-revisit


Force annotation on all functions in both source and header files
---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 2404f9c..a2ce630 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -910,6 +910,7 @@ fn write_rust_function_shim_decl(
     sig: &Signature,
     indirect_call: bool,
 ) {
+    begin_function_definition(out);
     write_return_type(out, &sig.ret);
     write!(out, "{}(", local_name);
     for (i, arg) in sig.args.iter().enumerate() {
@@ -947,9 +948,6 @@ fn write_rust_function_shim_impl(
         // We've already defined this inside the struct.
         return;
     }
-    if !out.header {
-        begin_function_definition(out);
-    }
     write_rust_function_shim_decl(out, local_name, sig, indirect_call);
     if out.header {
         writeln!(out, ";");

